FLANG

Public Types | List of all members
Fortran::common::HostUnsignedIntTypeHelper< BITS > Struct Template Reference

## Public Types
using | type = std::conditional_t<(BITS<=8), std::uint8_t, std::conditional_t<(BITS<=16), std::uint16_t, std::conditional_t<(BITS<=32), std::uint32_t, std::conditional_t<(BITS<=64), std::uint64_t, uint128_t > >> >

The documentation for this struct was generated from the following file:

- include/flang/Common/uint128.h